#
# spec file for package perl-Ouch
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Ouch
Version:        0.0501
Release:        1.1
%define cpan_name Ouch
Summary:        Exceptions that don't hurt
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RI/RIZEN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Trap)
BuildRequires:  perl(parent)
Requires:       perl(Test::Trap)
Requires:       perl(parent)
%{perl_requires}

%description
Ouch provides a class for exception handling that doesn't require a lot of
boilerplate, nor any up front definition. If Exception::Class is working
for you, great! But if you want something that is faster, easier to use,
requires less typing, and has no prereqs, but still gives you much of that
same functionality, then Ouch is for you.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README README.md
%license LICENSE

%changelog
* Wed Jan 30 2019 coolo@suse.com
- updated to 0.0501
  see /usr/share/doc/packages/perl-Ouch/Changes
  0.0501 2019-01-29
  - Auto generate META.json as suggested by CPANTS. (Mohammad S Anwar)
* Thu Jun 22 2017 coolo@suse.com
- updated to 0.0500
  see /usr/share/doc/packages/perl-Ouch/Changes
  0.0500 2017-06-21
  - Made :trytiny more Try::Tiny-sh thanks to Flavio Poletti
* Fri Oct 21 2016 coolo@suse.com
- updated to 0.0410
  see /usr/share/doc/packages/perl-Ouch/Changes
  0.0410 2016-10-19
  - Fixed some bugs related to Travis. Thanks to Zshawn Syed.
  - Fix bugs when working with passed exceptions. Thanks to Flavio Poletti.
  - Remove Build.PL. Thanks to Nick Tonkin, andk, Graham Knop, dcollinsn.
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.0409
  see /usr/share/doc/packages/perl-Ouch/Changes
* Sun May  6 2012 coolo@suse.com
- initial package 0.0401
  * created by cpanspec 1.78.06
